org.jgroups

## Class SuspectedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jgroups.SuspectedException

All Implemented Interfaces:
  java.io.Serializable

    public class SuspectedException
    extends java.lang.Exception

Thrown if a message is sent to a suspected member.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SuspectedException()`
`SuspectedException(java.lang.Object suspect)`

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SuspectedException

    public SuspectedException()

#### SuspectedException

    public SuspectedException(java.lang.Object suspect)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Throwable`